"""
@author: luojunhui
事务异常
"""

from applications import log


class TransactionError(Exception):
    """事务处理失败"""

    def __init__(self, message):
        """
        :param message: 异常消息
        """
        log(
            task="transaction",
            function="log_query_error",
            message=message
        )
        super().__init__(message)